Public Member Functions | Public Attributes | List of all members
ApplePictParserInternal::State Struct Reference

Internal: the state of a ApplePictParser. More...

## Public Member Functions
| State ()
| constructor More...
void | initPatterns ()
| init the patterns list More...
bool | isInvisible (ApplePictParser::DrawingMethod method) const
| returns true if the shape is invisible More...
void | updateStyle (ApplePictParser::DrawingMethod method, MWAWGraphicStyle &style)
| update the actual style More...
void | updatePosition (MWAWVec2f const &orig, MWAWPosition &pos)
| update the position More...
void | updatePosition (MWAWBox2f const &bdBox, MWAWPosition &pos)
| update the position More...

## Public Attributes
int | m_version
| the file version More...
MWAWBox2f | m_bdBox
| the bounding rectangle More...
MWAWVec2f | m_origin
| the origin More...
MWAWVec2i | m_penPosition
| the actual pen position More...
MWAWVec2i | m_textPosition
| the actual text position More...
MWAWVec2i | m_penSize
| the actual pensize More...
MWAWVec2i | m_ovalSize
| the actual ovalsize More...
int | m_penMode
| the pen mode More...
int | m_textMode
| the text mode More...
bool | m_isHiliteMode
| true if we must use the hilite mode More...
MWAWFont | m_font
| the actual font More...
MWAWColor | m_foreColor
| the foreground color More...
MWAWColor | m_backColor
| the background color More...
MWAWColor | m_hiliteColor
| the hilite color More...
MWAWColor | m_opColor
| the op color More...
MWAWGraphicStyle::Pattern | m_penPattern
| the pen pattern More...
MWAWGraphicStyle::Pattern | m_backgroundPattern
| the background pattern More...
MWAWGraphicStyle::Pattern | m_fillPattern
| the fill pattern More...
MWAWBox2i | m_rectangle
| the last rectangle More...
MWAWBox2i | m_roundRectangle
| the last round rectangle More...
MWAWBox2i | m_circle
| the last circle More...
MWAWBox2i | m_pie
| the last pie More...
std::vector< MWAWVec2i > | m_points
| the last polygon points More...
bool | m_afterQuicktime
| a flag to know if we have found a quicktime picture/movie More...

## Detailed Description

Internal: the state of a ApplePictParser.

## Constructor & Destructor Documentation

## ◆ State()

ApplePictParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initPatterns()

void ApplePictParserInternal::State::initPatterns | ( |  | ) |

init the patterns list

## ◆ isInvisible()

bool ApplePictParserInternal::State::isInvisible | ( | ApplePictParser::DrawingMethod | method | ) | const
| inline

returns true if the shape is invisible

## ◆ updatePosition() [1/2]

void ApplePictParserInternal::State::updatePosition | ( | MWAWVec2f const & | orig,
|  | MWAWPosition & | pos
| ) |  |
| inline

update the position

## ◆ updatePosition() [2/2]

void ApplePictParserInternal::State::updatePosition | ( | MWAWBox2f const & | bdBox,
|  | MWAWPosition & | pos
| ) |  |
| inline

update the position

## ◆ updateStyle()

void ApplePictParserInternal::State::updateStyle | ( | ApplePictParser::DrawingMethod | method,
|  | MWAWGraphicStyle & | style
| ) |  |
| inline

update the actual style

## Member Data Documentation

## ◆ m_afterQuicktime

bool ApplePictParserInternal::State::m_afterQuicktime

a flag to know if we have found a quicktime picture/movie

## ◆ m_backColor

MWAWColor ApplePictParserInternal::State::m_backColor

the background color

## ◆ m_backgroundPattern

MWAWGraphicStyle::Pattern ApplePictParserInternal::State::m_backgroundPattern

the background pattern

## ◆ m_bdBox

MWAWBox2f ApplePictParserInternal::State::m_bdBox

the bounding rectangle

## ◆ m_circle

MWAWBox2i ApplePictParserInternal::State::m_circle

the last circle

## ◆ m_fillPattern

MWAWGraphicStyle::Pattern ApplePictParserInternal::State::m_fillPattern

the fill pattern

## ◆ m_font

MWAWFont ApplePictParserInternal::State::m_font

the actual font

## ◆ m_foreColor

MWAWColor ApplePictParserInternal::State::m_foreColor

the foreground color

## ◆ m_hiliteColor

MWAWColor ApplePictParserInternal::State::m_hiliteColor

the hilite color

## ◆ m_isHiliteMode

bool ApplePictParserInternal::State::m_isHiliteMode

true if we must use the hilite mode

## ◆ m_opColor

MWAWColor ApplePictParserInternal::State::m_opColor

the op color

## ◆ m_origin

MWAWVec2f ApplePictParserInternal::State::m_origin

the origin

## ◆ m_ovalSize

MWAWVec2i ApplePictParserInternal::State::m_ovalSize

the actual ovalsize

## ◆ m_penMode

int ApplePictParserInternal::State::m_penMode

the pen mode

## ◆ m_penPattern

MWAWGraphicStyle::Pattern ApplePictParserInternal::State::m_penPattern

the pen pattern

## ◆ m_penPosition

MWAWVec2i ApplePictParserInternal::State::m_penPosition

the actual pen position

## ◆ m_penSize

MWAWVec2i ApplePictParserInternal::State::m_penSize

the actual pensize

## ◆ m_pie

MWAWBox2i ApplePictParserInternal::State::m_pie

the last pie

## ◆ m_points

std::vector<MWAWVec2i> ApplePictParserInternal::State::m_points

the last polygon points

## ◆ m_rectangle

MWAWBox2i ApplePictParserInternal::State::m_rectangle

the last rectangle

## ◆ m_roundRectangle

MWAWBox2i ApplePictParserInternal::State::m_roundRectangle

the last round rectangle

## ◆ m_textMode

int ApplePictParserInternal::State::m_textMode

the text mode

## ◆ m_textPosition

MWAWVec2i ApplePictParserInternal::State::m_textPosition

the actual text position

## ◆ m_version

int ApplePictParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- ApplePictParser.cxx